Accueil » Utiliser Composer sur un mutualisé OVH

Utiliser Composer sur un mutualisé OVH

Composer est un gestionnaire de paquets PHP très utile pour intégrer des librairies externes à votre développement et gérer le versioning. Je ne vais pas vous expliquer comment l’utiliser, d’autres l’ont très bien fait avant moi.

Par contre si vous tentez d’utiliser Composer sur un serveur mutualisé OVH, vous pouvez rencontrer un problème avec votre version de PHP.  En effet, si le manager OVH permet de choisir la version de PHP qui tournera sur votre instance, celle-ci n’a rien à voir avec la version de PHP-CGI qui sera utilisé par Composer lors d’une connexion SSH.

Si la librairie externe que vous souhaitez installer fonctionne à partir de php5.5 et que votre version de PHP-CGI est restée bloquée sur PHP5.4, il vous faudra appeler directement le binaire d’une version supérieure. Au lieu de :

php composer.phar install

Il vous faudra appeler :

/usr/local/php5.6/bin/php-cgi composer.phar install

Laisser un commentaire pour : « Utiliser Composer sur un mutualisé OVH »

Votre email ne sera jamais communiqué.
Les champs précédés d'un astérisque sont obligatoires.